Bug 10239

Summary: Alarm settings are not available on alarm screen.
Product: [Maemo Official Applications] Utilities Reporter: Ian Stirling <bugsmaemo>
Component: ClockAssignee: unassigned <nobody>
Status: RESOLVED FIXED QA Contact: clock-bugs
Severity: enhancement    
Priority: Low CC: andre_klapper
Version: 5.0:(10.2010.19-1)   
Target Milestone: Harmattan   
Hardware: N900   
OS: Maemo   

Description Ian Stirling (reporter) 2010-05-22 04:51:22 UTC
SOFTWARE VERSION:
(Settings > General > About product)

EXACT STEPS LEADING TO PROBLEM: 
(Explain in detail what you do (e.g. tap on OK) and what you see (e.g. message
Connection Failed appears))
1. Go to clock.
2. Open list of alarms
3. Click on 'Alarms' in the header to set alarm sound.

EXPECTED OUTCOME:
Dialog pops up allowing you to set alarm sound.
ACTUAL OUTCOME:
Nothing happens, you have to guess that you need to go back to the main
application screen in order to set the alarm tone.
REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:
lots
OTHER COMMENTS:


User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.2.3)
Gecko/20100401 Firefox/3.6.3
Comment 1 Andre Klapper maemo.org 2010-06-14 12:46:49 UTC
Confirming (and I was confused by this several times in the past too).
However unlikely that this will be fixed for Maemo5...
Comment 2 Andre Klapper maemo.org 2010-10-04 16:41:20 UTC
In Maemo5 Alarm settings provides "Alarm tone" and "Snooze time".
In Harmattan (the software version after Maemo5) these settings will be
available from the Alarms view/editor, hence FIXED.
It's a WONTFIX for Maemo5 though...